package w83a.w83aBeans;

import java.sql.ResultSet;

import w83a.util.jdbc.W83aDataBase;
import w83a.w83aDAO.w83aConstantesBD.W83aBaseBeanBD;
import w83a.w83aDAO.w83aConstantesBD.W83aImpugnacionesBD;
import w83a.w83aDAO.w83aConstantesBD.W83aPreavisosBD;

public class W83aDatosFasesTramitesBean extends W83aBaseBean implements W83aBaseBeanBD{
	private static final long	serialVersionUID	= 1L;

	private String codTramite;
	private String codFase;
	public String getCodTramite() {
		return codTramite;
	}
	public void setCodTramite(String codTramite) {
		this.codTramite = codTramite;
	}
	public String getCodFase() {
		return codFase;
	}
	public void setCodFase(String codFase) {
		this.codFase = codFase;
			
	}
	public Object rowToBean(Object o, Object otrosValores) throws Exception {
		ResultSet rs = (ResultSet)o;//NOPMD
		if(null!=otrosValores && ((String)otrosValores).equals("impugnaciones"))
		{
			this.codTramite = W83aDataBase.getStringFromRS(rs, W83aImpugnacionesBD.c_tram_071);
			this.codFase = W83aDataBase.getStringFromRS(rs, W83aImpugnacionesBD.c_fase_071);
		}else{
			this.codTramite = W83aDataBase.getStringFromRS(rs, W83aPreavisosBD.c_tram_056);
			this.codFase = W83aDataBase.getStringFromRS(rs, W83aPreavisosBD.c_fase_056);
		}
		
		return this;
	}
	
	
}
